EDIT - bug #9739

Add common name languages preference to DB preferences
08/27/2021 09:52 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal Found in Version:

Description

The common name languages should be available as db preferences.

Related issues:
Related to EDIT - bug #9779: Exception when override db preference New

Associated revisions

Revision 7f73ebf0 - 08/27/2021 09:46 AM - Katja Luther

add common name language pref to db preferences

Revision 279f5ec4 - 09/01/2021 11:04 AM - Katja Luther

ref #9739: use common name languages for combo and adapt pref page

History

#1 - 08/27/2021 09:53 AM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

this should be done, please review.

#2 - 08/27/2021 09:53 AM - Katja Luther
- % Done changed from 0 to 60

#3 - 08/27/2021 10:38 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.45

#4 - 08/30/2021 07:34 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 60 to 50

The current db preferences menu only shows "multi-language support" but not "languages for common names".
Something still seems to be missing.

#5 - 08/31/2021 09:05 AM - Katja Luther
- File picture482-1.png added

Maybe the editor was not build?

| checked the nightly build and the common name languages where available for DB preferences:
#6 - 08/31/2021 09:09 AM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Mdiller

#7 - 08/31/2021 11:08 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Mtiller to Katja Luther

Now it exists, but when saving | got:

last remote method http://test.e-taxonomy.eu:80/cdmserver/rem_conf_am/remoting/preference.service
last remote request client time 2021-08-31T23:03:12.638
last remote request response header time Tue, 31 Aug 2021 21:03:12 GMT
client error time 2021-08-31T23:03:12.654
login admin
editor version 5.27.0.202108302250
(edit-test)
schema version 5.25.1.0.20210702
os : Windows Server 2012 R2 6.3 amd64
Jjava 1.8.0_131
java.lang.NullPointerException
at eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.LanguageAdminMenuPreference.performOk (LanguageAdmin
MenuPreference. java:38)
at org.eclipse.jface.preference.PreferenceDialog$8.run (PreferenceDialog. java:905)
at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)
at org.eclipse.ui.internal.JFaceUtil$l.run(JFaceUtil.java:50)
at org.eclipse.jface.util.SafeRunnable.run (SafeRunnable. java:173)
at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog. java:889)
at org.eclipse.
at org.eclipse.
at org.eclipse.
at org.eclipse.
at org.eclipse.
at org.eclipse.
at org.eclipse.
at org.eclipse.

server test.e-taxonomy.eu / rem_conf_am

jface.preference.PreferenceDialog.buttonPressed (PreferenceDialog. java:230)
jface.dialogs.Dialog$2.widgetSelected (Dialog. java:618)
swt.widgets.TypedListener.handleEvent (TypedListener. java:249)
swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Display.sendEvent (Display.java:4418)
swt.widgets.Widget.sendEvent (Widget.java:1079)
swt.widgets.Display.runDeferredEvents (Display.java:4236)
swt.widgets.Display.readAndDispatch (Display. java:3824)

at org.eclipse. jface.window.Window.runEventLoop (Window. java:818)

at org.eclipse.jface.window.Window.open (Window. java:794)

at eu.etaxonomy.taxeditor.workbench.handler.OpenAdminPreferencesHandler.execute (OpenAdminPreferencesHandle
r.java:124)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.e4d.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

at org.eclipse.e4.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl.java:282)
at org.eclipse.e4d4.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory.java:132)
at org.eclipse.e4d.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:494)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)

at org.eclipse.e4.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServicelImpl. java:210)
at org.eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (HandledContributionItem. j

ava:433)

at org.eclipse.e4.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (AbstractContri

butionItem. java:454)

at org.eclipse.e4.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractContributionIt

em. java:482)
at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)
at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1079)
at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3824)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine.java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ed4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)

at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main.java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

#8 - 09/01/2021 09:56 AM - Katja Luther

This exception comes from the multilanguage prefernce, but needs to be fixed as well.

#9 - 09/19/2021 10:01 PM - Andreas Miuller

Is this fixed already?

#10 - 09/20/2021 09:19 AM - Katja Luther

- Status changed from Feedback to Resolved

Andreas Muller wrote:

Is this fixed already?

yes

#11 - 09/20/2021 09:47 AM - Andreas Miuiller

- Assignee changed from Katja Luther to Andreas Mdiller

#12 - 09/20/2021 12:20 PM - Andreas Miiller
- Priority changed from New to Highest

#13 - 09/20/2021 03:17 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Katja Luther

When trying to override via local settings | get:

org.eclipse.core.runtime.AssertionFailedException: null argument:

at org.eclipse.core.runtime.Assert.isNotNull (Assert.java:85)
at org.eclipse.core.runtime.Assert.isNotNull (Assert.java:73)
at org.eclipse. jface.viewers.StructuredViewer.assertElementsNotNull (StructuredViewer. java:586)
at org.eclipse. jface.viewers.CheckboxTreeViewer.setCheckedElements (CheckboxTreeViewer. java:469)

at eu.etaxonomy.taxeditor.preference.wizard.CdmCheckBoxTreeViewer.handleTreeExpand (CdmCheckBoxTreeViewer. j

ava:33)

at org.eclipse.jface.viewers.AbstractTreeViewer$3.treeExpanded (AbstractTreeViewer. java:1505)
at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:133)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)
at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

I don't know if this is related to this ticket.

#14 - 09/20/2021 03:18 PM - Andreas Miiller

Generally the functionality seems to work now and ticket can be closed.

#15 - 09/21/2021 02:14 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.27

#16 - 09/22/2021 11:22 AM - Katja Luther
- Status changed from Feedback to Closed

create new ticket with the exception of comment 13

#17 - 09/22/2021 11:25 AM - Katja Luther
- Related to bug #9779: Exception when override db preference added
